Venflow API
V1Suscripciones

Listar Suscripciones for the organization

GET
/v1/subscriptions
Api-Key<token>

Tu clave API privada (comienza con pvk_)

In: header

Organization<token>

Tu ID de organización

In: header

Query Parameters

limit?integer

Limit on the number of objects to return (1–100, default 10)

Range1 <= value <= 100
starting_after?string

Cursor for pagination — object ID that defines your place in the list

Formatuuid
ending_before?string

Cursor for pagination — object ID that defines your place in the list

Formatuuid
status?string

Filter by subscription status

plan_id?string

Filter by plan ID

Formatuuid
customer_id?string

Filter by customer ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.venflow.app/v1/subscriptions"
{
  "data": [
    {
      "billing_cycles": 0,
      "billing_cycles_completed": 0.1,
      "cancel_at_period_end": true,
      "collection_mode": "engine",
      "created": 0.1,
      "current_period_end": 0.1,
      "current_period_start": 0.1,
      "customer": "string",
      "discount": {
        "amount_off": 0,
        "duration": "once",
        "duration_periods": 0,
        "id": "string",
        "name": "string",
        "percent_off": 0,
        "remaining_periods": 0
      },
      "id": "string",
      "livemode": true,
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "object": "subscription",
      "plan": "string",
      "scheduled_start_date": "string",
      "status": "string",
      "trial_end": 0,
      "trial_start": 0
    }
  ],
  "has_more": true,
  "object": "list",
  "url": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}